Skip to navigation

Get Reward Settings

Retrieves business-level reward settings for the authenticated SP Digital business.

Example curl:

curl --request POST '{{base_url}}/sp/reward-settings/get' \
--header 'Authorization: Bearer {{access_token}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'

Example success response shape:

{
"success": true,
"message": "OK",
"data": {
"enable_rp": true,
"rp_name": "Reward Points",
"rp_sales_calculation_period": 12,
"rp_sales_calculation_period_type": "month",
"rp_expiry_period": 12,
"rp_expiry_type": "month"
},
"meta": {}
}

Example error response shape:

{
"success": false,
"message": "Unauthorized.",
"error": {
"code": "unauthorized",
"details": {}
}
}

Common platform errors:

  • sp_scope_not_granted
  • sp_token_scope_missing
  • legacy_field_not_allowed
  • query_parameters_not_allowed
  • invalid_content_type

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

200 OK Example
successbooleanOptional
messagestringOptional
dataobjectOptional
metaobjectOptional